package vn.azteam.tpf.service.mapper;

import vn.azteam.tpf.domain.*;
import vn.azteam.tpf.service.dto.TBCropTypeDTO;

import org.mapstruct.*;

/**
 * Mapper for the entity TBCropType and its DTO TBCropTypeDTO.
 */
@Mapper(componentModel = "spring", uses = {})
public interface TBCropTypeMapper extends EntityMapper<TBCropTypeDTO, TBCropType> {



    default TBCropType fromId(Long id) {
        if (id == null) {
            return null;
        }
        TBCropType tBCropType = new TBCropType();
        tBCropType.setId(id);
        return tBCropType;
    }
}
